gd_protection(3)

NAME
gd_protection — report the protection level of a Dirfile fragment

SYNOPSIS
#include <getdata.h>

int gd_protection(DIRFILE *dirfile, int fragment_index);

DESCRIPTION
The function queries a dirfile(5) database specified by and determines the advisory protection level for the fragment indexed by

RETURN VALUE
Upon successful completion, returns a non-negative integer indicating the the advisory protection level of the specified fragment. This integer will equal one of the following symbols:

    GD_PROTECT_NONE, GD_PROTECT_FORMAT, GD_PROTECT_DATA, GD_PROTECT_ALL.

The meaning of these symbols are explained in the man page. On error, it returns a negative-valued error code. Possible error codes are: The supplied dirfile was invalid. The supplied index was out of range.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.5.0.

In GetData-0.7.0 this function was renamed to

In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO
dirfile(5), dirfile-format(5)